<?php
$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_0c5123a" . "a744f69b" . "bc0e8b3e" . "a2f6e847" . "d" => base64_decode("bG1z" . "Zw=="), "_e16406e" . "6d49d15f" . "2ad16b66" . "58ad926a" . "d" => base64_decode("ZG9jdW1lbnRz" . "LmZvbGRlcl9p" . "c19jbG9zZWQ="), "_44a0f7eed3d3cd9c0c7c600eb1500" . "b23" => base64_decode("Q2FuJ3QgbW92ZSB0byBkZXN0aW5hdGl" . "vbg=="), "_8e571151c0" . "c1d067c14c2" . "27bf6c6a704" => base64_decode("ZG9jdW1lbnRzLmVkaXRkb2MuZGVjbGFyZWRfZ" . "G9jX2Vycm9y"));




class ERMSPermsCheckerAdmin extends ERMSPermsChecker
{
    public function CanDelete(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043)
    {
        if (!$_68ffaaa31e3ba49ed9d6159fbee9f043 instanceof ERMSDataObj && !$this->CheckLocked($_68ffaaa31e3ba49ed9d6159fbee9f043)) {
            return false;
        }
        
        
        return true;
    }
    public function CanChangeDocument(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043 = null)
    {
        if (!$this->CheckLocked($_68ffaaa31e3ba49ed9d6159fbee9f043)) {
            return false;
        }
        return true;
    }
    public function CanChangeContent(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043 = null)
    {
        if (!$this->CheckLocked($_68ffaaa31e3ba49ed9d6159fbee9f043)) {
            return false;
        }
        return true;
    }
    public function CanOnlyCreateDrafts(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043 = null)
    {
        
        
        return false;
    }
    public function CanEditMetadata(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043)
    {
        if (!$this->CheckLocked($_68ffaaa31e3ba49ed9d6159fbee9f043)) {
            return false;
        }
        return true;
    }
    public function CanMove(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043, ERMSObject $_b0eff9162b2830bd7a38fc626c309d38 = null)
    {
        if (!$this->CanDelete($_68ffaaa31e3ba49ed9d6159fbee9f043)) {
            return false;
        }
        if (!$this->CanChangeContent($_b0eff9162b2830bd7a38fc626c309d38)) {
            return $this->PassError(false, $this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_44a0f7eed3d3cd9c0" . "c7c600eb1500b23"]);
        }
        return true;
    }
    protected function CheckLocked(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043 = null)
    {
        if ($_68ffaaa31e3ba49ed9d6159fbee9f043 instanceof ERMSLockable && $_68ffaaa31e3ba49ed9d6159fbee9f043->IsLocked()) {
            return $this->SetErrMsg($_68ffaaa31e3ba49ed9d6159fbee9f043->IsFilePlan() ? $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_e16406e6d49d15f2" . "ad16b6658ad926ad"]) : $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_8e571151c0c1d067c14c227bf6c6a7" . "04"]), 409);
        }
        return true;
    }
    public function CanView(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043)
    {
        return true;
    }
}